View method request body

Prev Next

Available in Classic and VPC

View the request body of a customized method.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
GET /api/v1/products/{product-id}/apis/{api-id}/resources/{resource-id}/methods/{method-name}/request-body

Request headers

For information about the headers common to all API Gateway APIs, see API Gateway request headers.

Request path parameters

The following descYou can use the following path parameters with your request:

Field Type Required Description
product-id String Required Product ID that the API belongs to
api-id String Required ID of the API whose request body you want to view
resource-id String Required ID of the target resource in the API
method-name String Required Target method type
  • ANY | GET | POST | PUT | DELETE | PATCH | OPTIONS | HEAD

Request example

The following is a sample request.

curl --location --request GET 'https://apigateway.apigw.ntruss.com/api/v1/products/********o9/apis/cvcohvd2xj/resources/tf73xuex0v/methods/POST/request-body' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json'

Response

The following describes the response format.

Response syntax

The response syntax is as follows.

{
  "modelId" : "modelId",
  "modelName" : "modelName",
  "bodyName" : "bodyName",
  "bodyDescription" : "bodyDescription"
}

Response status codes

For response status codes common to API Gateway, see API Gateway response status codes.

Response example

The following is a sample response.

{
    "modelId": "qw33h0i33i",
    "modelName": "ApiKeyDto",
    "bodyName": "apiKey",
    "bodyDescription": "request body"
}